Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.collections
Class StringCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.collections.StringCImpl

public class StringCImpl
extends PhaseCImpl
implements CreateC, CreateS, DropC, DropS, CopyC, CopyS, StringS, StringC

Character string object (later to support collection behavior).. The String object type packages a null-terminated, C-format character string into an object. All memory allocation needed to hold the string value is handled by the object. This type currently defines only the most rudimentary operations for initializing and appending C-format character strings. These are sufficient for its current limited roles in places that need a uniformity between character strings and other kinds of allocated objects.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`StringCImpl()`
`StringCImpl(String nextPhase)`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.collections.StringS
`setC`

Methods implemented by this class for interface swarm.collections.StringC
`create$setC`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringCImpl

    public StringCImpl(String nextPhase)

### StringCImpl

    public StringCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD